<%@ Page Language="C#" MasterPageFile="~/admin/admin_page.master" AutoEventWireup="true" CodeBehind="template.aspx.cs" Inherits="YXShop.Web.admin.templates.template" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <link rel="stylesheet" href="../style/validator.css" type="text/css" />
    <script type="text/javascript" src="../../scripts/validate.js"></script>
    <link rel="stylesheet" href="../style/toolbar.css" type="text/css" />
    <script language="javascript" type="text/javascript">
    function DefaultTemplate(id,Path)
    { 
        var param = "Option=template&TemPath="+Path+"&id=" + id;
        var options = 
        { method: 'post',parameters: param,onComplete:
             function(transport)
             {
                 var retv = transport.responseText;
                 if(retv=="Ok")
                 {
                     window.location.reload();
                 }
             }
        }
        new Ajax.Request('template.aspx', options);
    }
    function PutOutTemplate(Path)
    { 
        document.getElementById("divTemplate").style.display="";
        document.getElementById("divTemplate").innerHTML="正在发布中...<br />发布模板需要几秒钟,敬请等待.";
        document.getElementById("divTemplate").className="actionErr";

        var param = "Option=PutoutFemplate&TemPath="+Path+"";
        var options = 
        { method: 'post',parameters: param,onComplete:
             function(transport)
             {
                 var retv = transport.responseText;
                 if(retv=="")
                 {
                     document.getElementById("divTemplate").innerHTML="操作成功,模板发布成功.";
                     document.getElementById("divTemplate").className="actionOk";
                 }
                 else
                 {
                     document.getElementById("divTemplate").innerHTML="操作失败,模板发布失败.";
                 }
             }
        }
        new Ajax.Request('template.aspx', options);
    }
    
   
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="pagetitle" runat="server">模板管理
    <asp:HyperLink ID="returnLinkBottom" runat="server" NavigateUrl="style_edit.aspx" Text="添加模板"  CssClass="inputbutton" Width="65px" Height="24px" onMouseOver="javascript:document.getElementById(this.id).className='inputbutton_a'" onMouseOut="javascript:document.getElementById(this.id).className='inputbutton'"></asp:HyperLink>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="pageinfo" runat="server">
商城模板
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="pagesarch" runat="server">

</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="workspace" runat="server">
<div id="divTemplate" style="display:none;" class="actionErr">
</div>
<span style=" font-weight:bold; font-size:14px;">正在使用的模板</span><asp:Literal ID="Literal2" runat="server"></asp:Literal><br />
<span style=" font-weight:bold; font-size:14px;">其他可供使用的模板</span>
<asp:Literal ID="Literal1" runat="server"></asp:Literal>
</asp:Content>